<< qdones | QD: 32 bytes decimal arithmetics | qr >>

DD_QD (MuPAT) >> DD_QD (MuPAT) > QD: 32 bytes decimal arithmetics > qdpow

# qdpow

n-th power of a QD real number

### Syntax

    p = qdpow(a,n)

### Parameters

a

  QD real number

n

  integer > 0

p

  QD real number

### Description

qdpow(a,n)

  return a n-th power of QD number.

### Examples

    a = qdrand(1,1)
    p = qdpow(a,3)
    p == a*a*a

    qdpow(-a, 371)

    --> a = qdrand(1,1)
     a  =
       2.11324865464121859330597333610137131197531777868435698370881634E-1

    --> p = qdpow(a,3)
     p  =
       9.43738784555168966366516175376947828621009167870893058967049250E-3

    --> p == a*a*a
     ans  =
      T

    --> qdpow(-a, 371)
     ans  =
      -3.60307275195960225336041475423518556241935332765288708739794485E-251

### See Also

- ddnrt — n-th root of a DD real number
- multiplication — Available overloads for DD and QD real numbers
- qd — builds an array of QD numbers

### Authors

Copyright (C) 2011 - Tsubasa Saito

Report an issue
<< qdones | QD: 32 bytes decimal arithmetics | qr >>